# MPI_Status_c2f

Convert a C status to a Fortran status

## Synopsis

    #include "mpi.h"
    int MPI_Status_c2f( MPI_Status *c_status, MPI_Fint *f_status )

## Input Parameters

c_status
  Status value in C (Status)

## Output Parameter

f_status
  Status value in Fortran (Integer)

## Errors

All MPI routines (except `MPI_Wtime` and `MPI_Wtick`) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with `MPI_Errhandler_set`; the predefined error handler `MPI_ERRORS_RETURN` may be used to cause error values to be returned. Note that MPI does not guarentee that an MPI program can continue past an error.

MPI_SUCCESS
  No error; MPI routine completed successfully.

MPI_ERR_ARG
  Invalid argument. Some argument is invalid and is not identified by a specific error class (e.g., `MPI_ERR_RANK`).

Location:statusc2f.c